package fr.sanchezm.attestationsCovid19

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.navigation.findNavController
import androidx.navigation.ui.setupWithNavController
import com.google.android.material.bottomnavigation.BottomNavigationView
import com.tom_roush.pdfbox.util.PDFBoxResourceLoader
import fr.sanchezm.attestationsCovid19.utilities.InjectorUtils

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val navView: BottomNavigationView = findViewById(R.id.nav_view)

        val navController = findNavController(R.id.nav_host_fragment)

        PDFBoxResourceLoader.init(applicationContext)
        InjectorUtils.providePdfUtils(applicationContext)
        actionBar?.hide()
        navView.setupWithNavController(navController)
        navView.setBackgroundColor(resources.getColor(R.color.itemBackground, theme))
    }

}